"Buttered Toast: the Totally Not Rehashed Interactive Fiction Starring Billy Davis" by "William Moore".

Chapter 0 - License
[ Copyright (C) 2022 William R. Moore <william@nerderium.com>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 3 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, see <https://www.gnu.org/licenses/>. ]


Chapter 1 - General Set Up

The story description is "You are Billy Davis and you need to lead Chung Ho to San Francisco. However, can you keep him safe from the legendary Possum Crotch?".
Release along with cover art, an interpreter, the source text, and library card.
The release number is 1.

Include Basic Screen Effects by Emily Short.
Include Buttered Toast Rules by William Moore.

Looking is look.
The block giving rule is not listed in the check giving it to rules.
A person can be drunk or sober. A person is usually sober. A person can be alive or dead. A person is usually alive.
Buttered Toast I Ended is a truth state that varies.
Canoe Destroyed is a truth state that varies.
Significance is a kind of value. The significance is insignificant and significant.
Seeability is a kind of value. The seeability is seen and unseen.
Conversability is a kind of value. The conversability is spoken and unspoken.

A person has a significance. The significance of a person is usually insignificant. A person has a seeability. The seeability of a person is usually unseen. A person has a conversability. The conversability of a person is usually unspoken.
A thing has significance. The significance of a thing is usually insignificant.

The player has a number called current score.
The current score of the player is 0.

Chapter 2 - Rooms and Doors

Poorly Lit Room is a room. The description is "You are in a poorly lit room and it is difficult to see most features. Those that are visible are blurry.".
Chung Ho's House is a room. The description is "It is a run down shanty-house typical of the poor fishing villages in China of the late 19th century. There is a door to the south.".
Small Chinese Village Main Street is a room. Small Chinese Village Main Street is south of Chung Ho's House and east of Boat Shop. The description is "The main walkway has people milling about doing their own business. Fishmongers are selling their fish. Chung Ho's House is north. A boat shop is west.".
Boat Shop is a room. The description is "This is a small boat shop that cannot possibly have any boats available. Nobody is around. There is a door to the east.".
Central Embarcadero is a room. Central Embarcadero is south of North Embarcadero. The description is "The Embarcadero looks like a warf straight from 20 years in the future. It extends north and south along a curve. Shops are along it. West is the rest of San Francisco.".
North Embarcadero is a room. The description is "The northern side of the Embarcadero trails off into the beach. There are several shops continue flowing from the southern direction. West is the rest of San Francisco. South is the Embarcadero.".
South Embarcadero is a room. It is south of Central Embarcadero. The description is "The southern side of the Embarcadero trails off into the beach. More shops line the pathways. West is the rest of San Francisco. North is the Embarcadero.".
Lombard Street is a room. Lombard Street is west of North Embarcadero. The description is "The twisty road is an iconic roadway that was the intention of the residents during the 1920s to prevent issues that arose with the steep hill. It is not supposed to be here during your time. The only way to go is east and west".
Market Street is a room. Market Street is west of Lombard Street. The description is "This is a busy street lined with many shops and businesses. The street has the appearance of cleanliness. It goes west, east, south, and southwest.".
North Market Street Entrance is a door. It is north of Market Street. It is south of Cafe du Nord. The description is "The door is fancy looking and has the words 'Cafe du Nord' across the top.".
Cafe du Nord is a room. It is north of North Market Street Entrance. The description is "For more than 100 years, Cafe Du Nord has maintained its intimate mood of a speakeasy with rich, dark colors of red and black. The main door is to the east.".
Wayfare Tavern is a room. It is west of Central Embarcadero. It is south of Lombard Street. The description is "This is some sort of attempt at a tavern for the purposes of serving drinks. It looks inviting. There are paths east and north. There is a giant, decorative wall to the west would have a famililar esthetic to Chung Ho.".
Omni San Francisco Hotel is a room. It is south of Wayfare Tavern. It is west of South Embarcadero. The description is "The Omni San Francisco Hotel looks like an excellent place to stay if you wanted to. There is a path southwest. There is a path back to the Embarcadero to the east. There is a path north. There is a giant, decorative wall to the west would have a famililar esthetic to Chung Ho.".
Dragon Gate is a door. It is locked. It is north of Gateway. It is south of Chinatown. The description is "The style of the Dragon Gate is as familiar to Chung Ho as the decorative wall.".
Gateway is a room. It is southwest of Omni San Francisco. The description is "You stand before a giant gate connecting the walls.".
Chinatown is a room. The description is "Chinatown is one of the oldest Chinese-centric areas in San Francisco and spans several city blocks. It is surrounded by a decorative wall that seems oddly familiar to Chung Ho.".
Small Chinese Village Warf is a room. The description is "The small warf is pretty decrepit. Really old junk ships float around. There are the remains of several off the warf.".
Fairborn Residence is a room. It is southwest of Market Street. The description is "A dilapidated house that houses the Fairborn clan. There is a porch on the front with pillars buckling under the weight of holding the porch roof up.".
Morgan Alford's Law Office is a room. It is south of Market Street. The description is "A fancy looking building that looks like it recently sprung up. The single floor building has a white exterior, a solitary door, and a solitary window.".
Courtroom is a room. The description is "This your typical old-timey courtroom complete with large, mahogony judge's bench. Additionally, everything that people would interact with appears to be made of mahogony.".

[ CAT HOUSE ]
Cat House Lobby is a room. The description is "This is the lobby to the Cat House. It is a well-kept, Victorian-style lobby. People are milling in and out, heads bowed and hands covering their faces in attempts to avoid eye contact. There are doorways to the north-east and north-west.".
Cat House Room 3 is a room. It is northeast of Cat House Lobby. It is west of Cat House Kitchen. The description is "The room has various erotic pictures hung on the wall. You're too embarassed to view them any more than a passing glance. There are a rooms to the east and a room to the west and south-west.".
Cat House Kitchen is a room. The description is "The kitchen has all the ameneties to prepare the most indulgent of foods. There is a room to the west.".
Cat House Sun Room is a room. It is east of Cat House Room 1. It is west of Cat House Room 3. The description is "The sun room is bright and shiny thanks to well placed windows that let the light of our famous, shining star in. There are exits to the east and the west. There is an exit leading outside to the north.".
Cat House Room 1 is a room. It is northwest of Cat House Lobby. It is west of Cat House Sun Room. The description is "The room has various erotic pictures hung on the wall. You're too embarassed to view them any more than a passing glance. THere are doorways to the south-east and east. There are stairs leading up.".
Victorian Gate is a door. It is west of Market Street. It is east of Cat House Lobby. It is locked. The description is "The gate to the cat house is ornate wrought iron. It has a sign in decorative Victorian lettering that says 'Speak Friend and Enter. I, Narvi, made them. Celebrimbor of Hollin drew these signs.'".
Cat House Upper Hallway 1 is a room. It is above Cat House Room 1. The description is "The hallway extends to the east. It is lined with rooms of people making strange sounds inside. There are stairs leading down.".
Cat House Upper Hallway 2 is a room. It is east of Cat House Upper Hallway 1. The description is "The hallway extends to the east. It is lined with rooms of people making strange sounds inside.".
Cat House Upper Hallway 3 is a room. It is east of Cat House Upper Hallway 2. The description is "The hallway extends to the east. It is lined with rooms of people making strange sounds inside.".
Cat House Upper Hallway 4 is a room. It is east of Cat House Upper Hallway 3. The description is "The hallway terminates here. It is lined with rooms of people making strange sounds inside.".
Cat House Backyard is a room. It is north of Cat House Sun Room. The description is "The backyard is quite spacious. In the middle of the yard is a blue-green algae covered open sewer lagoon. There is a small, cramped-looking tool shed, as well.".
Dilapidated Door is a door. It is west of Cat House Backyard. The description is "This dilapidated door with a rusty door handle leads into the tool shed.".
Tool Shed is a room. It is west of the Dilapidated Door. The description is "The interior of the tool shed seems to be much larger than the outside would appear to conversabilityey. There is enough room to accommodate at least three Hummers, but you wouldn't have an idea of what that vehicle as it's 1895!".

Chapter 3 - Persons

The Narrator is a person in Poorly Lit Room. Understand "narr" as the Narrator. The description is "The narrator is well-dressed and young looking. However, what their true form is beguiling. They look like they urgently want to speak with you.".
Amelia is a person in Central Embarcadero. The description is "Amelia is a slender woman wearing ruined aviator clothes. She has sandy blonde hair. She seems lost.".
Chung Ho is a person in Chung Ho's House. He unlocks the Dragon Gate. The description is "Despite being a supposed man from China, he looks very Caucasian.".
Chung He is a person in Chung Ho's House. The description is "An average Chinese woman. She looks like she has worked hard all her life.".
Typical Barkeep is a man in Cafe du Nord. The description is "The barkeep is your generic barkeep. He has a closely shaved head. A dark, waxed moustache and dark goatee. He seems to always be cleaning a beer mug with a rag despite the fact he serves people from other mugs found in the bar.".
Wayfare Tavern Barkeep is a person. They are in Wayfare Tavern. The description is "The barkeep is your generic barkeep. He has a closely shaved head. A dark, waxed moustache and dark goatee. He seems to always be cleaning a beer mug with a rag despite the fact he serves people from other mugs found in the bar.".
Darcon is a person. The description is "He looks like a typical retail worker wearing a blue vest, white shirt, and blue pants. He is quietly muttering obscenities into his drink.".
Wallaby Fits is a person. They are in Omni San Francisco Hotel. The description is "A tall, lanky, balding man who looks grumpy and could start going into an invective fit at any moment.".

Stanley Fairborn is a person in Fairborn Residence. The significance of Stanley Fairborn is significant. The seeability of Stanley Fairborn is unseen. The conversability of Stanley Fairborn is unspoken. The description is "A filthy, dirty man who wears coveralls that don't quite cover all.".
Lewis Fairborn is a person in Fairborn Residence. The significance of Lewis Fairborn is significant. The seeability of Lewis Fairborn is unseen. The conversability of Lewis Fairborn is unspoken. The description is "A filthy, dirty man who wears coveralls that don't quite cover all.".
Morgan Alford is a person. The significance of Morgan Alford is significant. The seeability of Morgan Alford is unseen. The description is "A smartly dressed man who moves and speaks with passion and conviction.".
Buckethead is a person. They are in Cat House Lobby. The description is "That's right. THE Buckethead! He appears to be staring at his chickens, which are aimlessly pecking at and scratching the floor.".
Billy Corgan is a person. They are in the South Embarcadero. The description is "That's right. THE Billy Corgan!".
Captain Butts Pirate is a person. They are in Cat House Backyard. The description is "He looks your stereotypical Captain Blackbeard-style pirate except with dark red skin, dark red and pointed ears, and an equally red tail. Currently, he is in the middle of the blue-green algae covered open sewer lagoon.".
The Exhibitionists is a person. They are in Cat House Lobby. The description is "They're nude men. What else is there to say?".
Mr Linendot is a person. They are in North Embarcadero. The description is "He has lines for limbs and dots for joints. His perfectly circular head only has dots for eyes and a line for a mouth.".
Emcee is a person. The description is "A beautiful West African woman with long braids and wearing a plain purple dress fit for the 1890s.".
Morgan Alford's Girlfriend is a person. The description is "A tall, slender blonde that is very attractive.".
Bocephus is a person. They are in the Cat House Backyard. The description is "He's a stereotypical redneck with a gravelly, booming voice.".

Chapter 4 - Things

The amulet of destiny is a thing. It is wearable. It has a number called charge. The description is "A bright and shiny amulet that weighs a bunch.".
Small Canoe is a thing. It is in Boat Shop. The description is "This is a shoddy looking small canoe that looks perfect for Chung Ho.".
Irish Whiskey is a thing. The description is "The Irish whiskey is a delicious drink that will make one intoxicated quickly.".
ye flask is a thing. The description is "It is a flask containing some unknown liquid.".

The ring of awesomeness is a thing. It is wearable. The significance of the ring of awesomeness is significant. The description is "An awesome-looking ring that fits your finger perfectly.".
Possum Crotch's Gas Mask is a thing. It is wearable. The significance of Possum Crotch's Gas Mask is significant. The description is "I would love to say it is an ornate object of high importance. It isn't. It's just an old gas mask.".
Lawyer Contract is a thing. The significance of Lawyer Contract is significant. The description is "A contract that says Chung He will be represented by Morgan Alford for a fee of $300 with $50 up front.".
The Fundraiser Event Contract is a thing. The significance of the Fundraiser Event Contract is significant. The description is "A contract that the fundraiser event may be held in Chinatown.".
Bag of Money is a thing. The significance of Bag of Money is significant. The description is "A beige sack with a big dollar sign on the front of the bag. There is $500 inside.".
Cat House Matchbook is a thing. The significance of Cat House Matchbook is significant. The description is "A matchbook that has the logo of the Cat House on it.".
The Verdict is a thing. It is a container. It is closed. It is openable. The significance of the Verdict is significant. The description is "A plain, sealed envelope with the title 'The verdict in the trial of Stanley Fairborn' on the front.".

Agreement for Smashing Pumpkins Performance is a thing. The description is "An agreement for the Smashing Pumpkins to play for the fundraiser for $200.".
Bottle of Alcohol is a thing. The description is "A bottle of alcohol that is used to ply more money from event guests.".
The Pantry is a fixed in place thing. It is a container. It is closed. It is openable. It is in the Cat House Kitchen. The description is "The cat house kitchen has a pantry stocked with so much food. People gotta eat!".
Chicken Feed is a thing. It is inside the Pantry. The description is "A large bag of chicken feed. Just what hungry chickens need.".
Song for Billy Davis is a thing. The description is "A small record album featuring a picture of Buckethead on it holding a guitar.".
Large Swimming Pool Cleaning Net is a thing. It is in the Tool Shed. The description is "This is a very long swimming pool net. It appears sturdy enough, however, that one person could be guided around the pool while another holds the other end.".
An answering machine is a thing. It is in the Tool Shed. The description is "A strange device that when opened has square widgets inside. Each individual square widget has a kind of tape inside. When a button is pressed, it plays sounds.".
Bocephus Collection is a thing. The description is "A set of CDs that have a picture of Hank Williams, Jr on it.".
Sugar Cane Stalks is a thing. It is in Cat House Kitchen. The description is "They're long sticks that appear to be full of delicious raw sugar.".
Surfboards is a thing. It is in Cat House Upper Hallway 4. The description is "They're two surfboards that are exactly as the name implies. One is blue and the other is green.".
Can of Pepso is a thing. The description is "A can of 'delicious' original Pepso.".
Card for a Lifetime Supply of Original Pepso is a thing. The description is "It's a card that disappointedly promises a lifetime supply of Original-flavor Pepso.".

Chapter 5 - Actions

Instead of talking when the noun is a person:
	say "They seem uninterested in talking to you.".

To decide whether Small Canoe interests Chung Ho:
	if Chung Ho has Small Canoe, no;
	yes.

After giving Small Canoe to Chung Ho:
	say "Chung Ho smiles and says 'Thank you! Now, I can go to America finally.'";
	move Chung Ho to Small Chinese Village Warf;
	move Chung He to Small Chinese Village Warf;
	move the player to Small Chinese Village Warf.

Instead of taking ye flask, say "You can't get ye flask.".

Instead of talking when the noun is Chung He and Chung Ho is dead:
	say "Chung He says 'I'm looking for my husband. If he's dead, I'll make that person pay!'".

Before taking something when the noun is a thing and the significance of the noun is significant:
	increase the current score of the player by 5.

Before dropping something when the noun is a thing and the significance of the noun is significant:
	decrease the current score of the player by 5.
	
	After reading a command:
		let N be "[the player's command]";
		if N is "take over kingdom",
			say "What kingdom, you dumple!?".

Instead of drinking Alcohol:
	now Alcohol is nowhere;
	say "You down that bottle!".


Chapter 6 - Buttered Toast I

[ The Beginning scene ]

The Beginning is a scene. The Beginning begins when play begins. The Beginning ends when the player is wearing the amulet of destiny. The description is "Welcome to Buttered Toast: the Totally Not Rehashed Interactive Fiction Starring Billy Davis.[paragraph break]We want to claim this is full of action, adventure, mystery, and love![paragraph break]In loving memory of Johnny von Soundstation."

Instead of talking when the noun is Narrator and The Beginning is happening:
	say "The Narrator says 'Hello, Billy Davis! What you are about to see is Buttered Toast: the Totally Not Rehashed Interactive Fiction Starring Billy Davis. If you are in the wrong interactive fiction, this is probably going to be your last chance to leave before you get embarrassed. So, I will wait a while so those who may have entered the wrong one may leave.'";
	pause the game;
	say "The Narrator looks around and says 'Alright! I can only assume that you all are the ones wanting to experience it.[paragraph break]Enjoy the show![paragraph break]Here, have [the amulet of destiny]! Wear it with strength and honor![paragraph break]Oh! One more thing, don't be afraid to say 'hi' to people or slap them silly.'";
	now the player has the Amulet of Destiny;
	now the player is wearing the amulet of destiny;
	pause the game.

[ Scene 2 - A small Chinese village in 1895 ]

Buttered Toast I - Scene 2 is a scene. Buttered Toast I - Scene 2 begins when the Beginning ends. Buttered Toast I - Scene 2 ends when Chung Ho has the Small Canoe.

When Buttered Toast I - Scene 2 begins:
	move the player to Chung Ho's House.

Instead of talking when the noun is Chung Ho and Buttered Toast I - Scene 2 is happening:
	say "He says 'I need to go to America. In order to do this, I need a way to safely cross the great ocean that separates our two lands.'".

[ Scene 3 - A Fateful Goodbye ]
Buttered Toast I - Scene 3 is a scene. Buttered Toast I - Scene 3 begins when Buttered Toast I - Scene 2 ends. Buttered Toast I - Scene 3 ends when the Canoe Destroyed is true.

When Buttered Toast I - Scene 3 begins:
	say "Chung He frowns and says 'I cannot believe this is a good course of action!'";
	say "Chung Ho kisses his wife on the forehead and says 'Baby, I'll be back! I promise. What's the worst that could happen?'";
	say "Chung Ho enters the small canoe and starts slowly moving away from the warf into the great Pacific Ocean. After many, many days, his canoe springs a leak and starts to sink.";
	say "Chung Ho looks around fearfully and says 'Oh, gods! Send me a dragon to keep me secure!'";
	say "However, the gods did not listen and he sinks into the ocean.";
	remove the Small Canoe from play;
	now Canoe Destroyed is true.

[ Scene 4 - San Francisco, 1895 ]
Buttered Toast I - Scene 4 is a scene. Buttered Toast I - Scene 4 begins when Buttered Toast I - Scene 3 ends. Buttered Toast I - Scene 4 ends when Amelia is drunk.

When Buttered Toast I - Scene 4 begins:
	say "Chung Ho washes on the shores of San Francisco in 1895. His appearance is haggard. He looks disheveled and water-logged. He slowly climbs up the beach and onto the Embarcadero.";
	move Chung Ho to Central Embarcadero;
	move the player to Central Embarcadero.

Before going to a room (called new room) when Amelia is sober and Buttered Toast I - Scene 4 is happening:
	move Amelia to new room;
	say "Amelia sobs uncontrollably.".

After slapping when the noun is Typical Barkeep and Buttered Toast I - Scene 4 is happening:
	say "The barkeep sits down and cries. After some time, he says 'Screw you, all! I quit! I've had it up to here with your awful treatment!' He then gets up and leaves. You rummage through the bar and take some [Irish Whiskey].";
	remove Typical Barkeep from play;
	now Irish Whiskey is in Cafe du Nord;
	silently try taking Irish Whiskey.

After examining when noun is Chung Ho and (Buttered Toast I - Scene 4 is happening or Buttered Toast I - Scene 5 is happening):
	say "His clothing is in a state of disrepair.".

Instead of talking when the noun is Chung Ho and Buttered Toast I - Scene 4 is happening:
	say "Chung Ho says 'I am lost. Is this San Francisco?'".

Instead of talking when the noun is Amelia and Buttered Toast I - Scene 4 is happening and Amelia is sober:
	say "Amelia says 'Help me! I'm lost. My plane crashed and I can't find my husband.'".

Instead of talking when the noun is Amelia and Amelia is drunk:
	say "Amelia says 'All I had to do was fly around the world.'".

To decide whether Irish Whiskey interests Amelia:
	if Amelia has Irish Whiskey, no;
	yes.

After examining when noun is Amelia and Amelia is drunk:
	say "Amelia looks plastered after polishing off the whiskey.".

After giving Irish Whiskey to Amelia:
	say "Amelia smiles and says 'Thank you! I can probably forget about my troubles with this.'";
	now Amelia is drunk;
	move Amelia to Cafe du Nord.

[ Scene 5 - Off to Chinatown, baby! ]
Buttered Toast I - Scene 5 is a scene. Buttered Toast I - Scene 5 begins when Buttered Toast I - Scene 4 ends. Buttered Toast I - Scene 5 ends when the location of the player is Chinatown.

When Buttered Toast I - Scene 5 begins:
	remove Chung Ho from play.

Before going to a room (called new room) when Buttered Toast I - Scene 5 is happening and Chung Ho is visible:
	move Chung Ho to new room.

 Instead of talking when noun is Wayfare Tavern Barkeep and Buttered Toast I - Scene 5 is happening and Darcon is not visible:
	say "The barkeep eyes you suspiciously and says 'You're not one of those teetotalers are you? If so, I'll have none of your kind here. Otherwise, come! Drink with us all!'";
	say "He waves at the one patron of the tavern.";
	move Darcon to Wayfare Tavern;
	say "Darcon coincidentally walks out of the restroom and sits at a table.";
	move Chung Ho to Wayfare Tavern;
	say "Chung Ho walks into the tavern.".

 Instead of talking when noun is Darcon and Buttered Toast I - Scene 5 is happening:
	say "Darcon eyes you up and down. He says 'You've heard of him haven't you?";
	say "What? You haven't. Well let me tell you the tale of Possum Crotch. He's the meanest nastiest gas-mask wearing individual around here.[line break]However, I reckon he's no man but monster. You keep an eye out and don't let your friend there meet him if you catch my drift!'";
	say "Darcon goes back to his drink and sobs a little and says 'I don't know where your tube socks are ma'am. Just let me go home, I said.'".

 Instead of talking when noun is Wallaby Fits and Buttered Toast I - Scene 5 is happening:
	say "Wallaby Fits looks up and says 'This is just the sort of blinkered philistine pig-ignorance I've come to expect from you non-creative	garbage. You sit there on your loathsome spotty behinds squeezing blackheads, not caring a tinker's cuss for the struggling artist.	You excrement, you whining hypocritical toadies with your colour TV	sets and your Tony Jacklin golf clubs and your bleeding masonic	secret handshakes. You wouldn't let me join, would you, you	blackballing bastards. Well I wouldn't become a Freemason now if	you went down on your lousy stinking knees and begged me.'";
	say "You stare at him bewildered.";
	say "Wallaby Fits stares at you with his head tilted to the side and says 'Oh I'm sorry. I mistook you for someone important.'";
	say "Wallaby Fits goes back to what he was doing which is none of your concern.".

After examining when noun is Dragon Gate and Dragon Gate is locked:
	say "A sign says 'The way is shut. It was made by those who are dead. The way is shut.'".

 Instead of talking when noun is Chung Ho and the location of the player is Gateway and Dragon Gate is locked and Buttered Toast I - Scene 5 is happening:
	say "Chung Ho says 'What do you think I can do about this? Just because I'm Chinese doesn't mean I have some sort of 'open up locked Chinese doors' superpower!'";
	now the Dragon Gate is unlocked;
	say "There is a rumble and suddenly a loud clicking sound is heard as the Dragon Gate becomes unlocked.".

[ Scene 6 - Chinatown ]
Buttered Toast I - Scene 6 is a scene. Buttered Toast I - Scene 6 begins when Buttered Toast I - Scene 5 ends. Buttered Toast I - Scene 6 ends when Chung Ho is dead.

When Buttered Toast I - Scene 6 begins:
	say "Chung Ho looks at you and is visibly frightened. He says 'I don't like the looks of this, amigo!'";
	say "You shrug your shoulders.";
	move Chung Ho to Chinatown;
	say "It's kind of dark because it is dark outside and all the lights are dimmed in the area. From what you can tell, Chinatown is a large city block that could be bustling during the day. Fortunately, Chung Ho has his trusty torch with him to guide you both through the darkness.";
	say "At that exact moment, the Dragon Gate shuts and locks behind you. Chung Ho's words echo in your mind.";
	now Chung Ho is alive;
	now the Dragon Gate is closed;
	now the Dragon Gate is locked.

Every turn when Buttered Toast I - Scene 6 is happening:
	increment the charge of the amulet of destiny.

Every turn when Buttered Toast I - Scene 6 is happening and the charge of the amulet is 10:
		say "Suddenly, you hear a twig snapping sound.".

Every turn when Buttered Toast I - Scene 6 is happening and the charge of the amulet is 20:
		say "A medium size, muscular man drops down from the top of a nearby building. He has long, flowing, black hair and is wearing olive pants, camoflauge short sleeved shirt, wearing a gas mask, and wielding a baseball bat!
		He then uses the bat to beat Chung Ho to death.";
		now Chung Ho is dead.

Instead of rubbing the amulet of destiny during Buttered Toast I - Scene 6:
	say "Several hired goons come running out with various blunt weapons, which they use to repeatedly pummel Chung Ho. Once dead, they drag Chung Ho out of Chinatown.";
	say "A medium size, muscular man drops down from the top of a nearby building. He has long, flowing, black hair and is wearing olive pants, camoflauge short sleeved shirt, wearing a gas mask, and wielding a baseball bat!";
	say "He looks very confused. Looks around and rips off the mask. He then mutters something incoherent.";
	say "After shrugging his shoulders, he then swings the bat slightly and says 'I'm killing him now!'";
	say "He then throws the bat onto the ground and storms off.";
	now Chung Ho is dead.

[ The End ]
The End is a scene. The End begins when Buttered Toast I - Scene 6 ends. The End ends when Buttered Toast I Ended is true.

When The End begins:
	remove Chung Ho from play;
	now Ye Flask is in Poorly Lit Room;
	move the player to Poorly Lit Room.

 Instead of talking when the noun is Narrator and The End is happening:
	say "The Narrator looks up and appears surprised that you're there. Oh! Um! You're back!? How was it? Did you save Chung Ho? I see. Well, maybe better luck next time or you could see the upcoming sequel: Buttered Toast: the Legend of Possum Crotch.";
	now Buttered Toast I Ended is true;
	pause the game.

Chapter 7 - Buttered Toast II

Buttered Toast II - The Beginning is a scene. Buttered Toast II - The Beginning begins when The End ends. Buttered Toast II - The Beginning ends when the player is wearing the ring of awesomeness.

When Buttered Toast II - The Beginning begins:
	say "The Narrator says 'Hello, Billy Davis! What you are about to see is the second part that was once 'Buttered Toast: the Legend of Possum Crotch'.";
	say "Here, have [the amulet of destiny]! Wear it with strength and honor!";
	say "Here, have [the ring of awesomeness]! Wear it with strength and honor!";
	say "Enjoy the show and don't forget to examine people and thing or to say 'hi' to people!'";
	now the amulet of destiny is in Poorly Lit Room;
	now the ring of awesomeness is in Poorly Lit Room;
	silently try taking the amulet of destiny;
	silently try taking the ring of awesomeness;
	now the player is wearing the amulet of destiny;
	now the player is wearing the ring of awesomeness;
	increase the current score of the player by 10;
	pause the game.

[ San Francisco, 1895 ]
San Francisco 1895 is a scene. San Francisco 1895 begins when Buttered Toast II - The Beginning ends. San Francisco 1895 ends when the player has Possum Crotch's Gas Mask.

When San Francisco 1895 begins:
	move Possum Crotch's Gas Mask to Chinatown;
	move Chung He to Central Embarcadero;
	move the player to Central Embarcadero.

Before going to a room (called new room) while Buttered Toast I Ended is true:
	move Chung He to new room.

 Instead of talking when the noun is Darcon and San Francisco 1895 is happening:
	say "Chung He looks at Darcon and says 'I'm looking for my husband. Have you seen him?'";
	say "Darcon eyes Chung He up and down with a curious glance. He grunts 'Looking for your husband? Chinese fella? Yeah, I seen 'im. He went to Chinatown.'";
	say "An loud, ominous sound of a large gate unlocking booms through the area.";
	now the Dragon Gate is unlocked;
	increase the current score of the player by 10.

 [ Act II, Scene 1 ]

Act II Scene 1 is a scene. Act II Scene 1 begins when San Francisco 1895 ends. Act II Scene 1 ends after speech when the noun is the Narrator.

When Act II Scene 1 begins:
	now ye flask is in Poorly Lit Room;
	move the player to Poorly Lit Room.

Instead of taking ye flask, say "You can't get ye flask."

Instead of talking when the noun is Narrator and Act II Scene 1 is happening:
	say "The Narrator smiles and says 'So, you've found the hints. Possum Crotch's trademark gas mask found in Chinatown where Chung Ho was found dead.'";
	say "The Narrator looks around and says 'You might want to try looking for clues at the Fairborn house. That's where Chung He has made her way now.'";
	move Chung He to Fairborn Residence;
	move player to Fairborn Residence;
	increase the current score of the player by 10.


[ Act II,Scene 2 ]

Act II Scene 2 is a scene. Act II Scene 2 begins when Act II Scene 1 ends. Act II Scene 2 ends after speechen when the noun is Stanley Fairborn.

 Instead of talking when the noun is Stanley Fairborn and Act II Scene 2 is happening and the location of Chung He is Fairborn Residence:
	say "Chung He says 'Have you seen my husband? His name is Chung Ho and I haven't seen him for sometime and I fear the worst.'";
	say "Stanley Fairborn squints an eye and pauses momentarily. He says 'Ho? Ho's at the cat house!'";
	say "Chung He smiles and says 'Thank you!'";
	say "Chung He heads northeast.";
	move Chung He to Market Street;
	say "Lewis Fairborn frowns, looks at his brother, and says 'You goofy goober! She was talking about that guy from foreign parts what who was did done killed by that ornery Possum Crotch.'";
	say "Stanley Fairborn looks shocked. He says 'Oh! Should we tell her?'";
	say "Lewis Fairborn laughs and says 'Nah! She'll find out on her own.'";
	increase the current score of the player by 10.

[ Act II, Scene 3 ]

Act II Scene 3 is a scene. Act II Scene 3 begins when Act II Scene 2 ends. Act II Scene 3 ends when Victorian Gate is unlocked.

When Act II Scene 3 begins:
	move the player to Market Street.

Understand "say mellon" as mellon. Mellon is an action applying to nothing.
After mellon when Act II Scene 3 is happening:
	say "The Victorian Gate unlocks and opens up.";
	now the Victorian Gate is unlocked;
	increase the current score of the player by 10.

[ Act II, Scene 4 ]

Act II Scene 4 is a scene. Act II Scene 4 begins when Act II Scene 3 ends. Act II Scene 4 ends when the player has Cat House Matchbook.

To decide whether Chicken Feed interests Buckethead:
	if Buckethead has Chicken Feed, no;
	yes.

After giving Chicken Feed to Buckethead:
	say "Buckethead takes the feed and starts spreading it on the floor. The chickens hurredly start eating up the feed.";
	say "Once they finish, Buckethead starts to play a very, very long, sooothing guitar solo.";
	say "Bucket head gives you [Song for Billy Davis].";
	move Song for Billy Davis to Cat House Lobby;
	silently try taking Song for Billy Davis;
	increase the current score of the player by 10.

 Instead of talking when noun is Captain Butts Pirate:
	say "Captain Butts Pirate shouts 'Help! Help! I've somehow SUNK into a blue-green algae filled lagoon!'";
	say "Chung He shouts back 'How can I help?";
	say "Captain shouts even louder 'Oh! I don't know. Maybe some sort of pole to get me out of this sludge filled lagoon!?'".

To decide whether Large Swimming Pool Cleaning Net interests Captain Butts Pirate:
	if Captain Butts Pirate has Large Swimming Pool Cleaning Net, no;
	yes.

After giving Large Swimming Pool Cleaning Net to Captain Butts Pirate:
	say "Captain Butts Pirate says 'Oh! Heaven's to Betsy! It feels good to get out of that LAGOON! Do you know what's in there? Poops. Lots of poops. Time for a SHOWER!'";
	say "Captain Butts Pirate wanders off.";
	remove Captain Butts Pirate from play;
	increase the current score of the player by 10.

 Instead of talking when noun is Bocephus:
	say "Bocephus frowns and says 'I need my answering machine and I've plum gone and lost it.'".

To decide whether answering machine interests Bocephus:
	if Bocephus has answering machine, no;
	yes.

After giving answering machine to Bocephus:
	say "Bocephus leans over the [answering machine] and says 'Dis shit on?'";
	say "Bocephus looks at some random direction and shouts 'HEY, BOCEPHUS! YOU STILL AIN'T CLEANED UP YO SHIT, BOCEPHUS! YOU STILL AIN'T CLEANED UP YO SHIT!'";
	say "Bocephus walks away, carrying his now beloved [answering machine].";
	remove Bocephus from play;
	increase the current score of the player by 10.

 Instead of talking when noun is the Exhibitionists:
	say "The naked men frown. One of them speaks up and says 'We need weapons of war. A sword and shield each will suffice. If not, our skills will wane!'".

To decide whether Sugar Cane Stalks interests the Exhibitionists:
	if the Exhibitionists has Sugar Cane Stalks, no;
	yes.

To decide whether surfboards interests the Exhibitionists:
	if the Exhibitionists has surfboards, no;
	yes.

After giving something to the Exhibitionists when the Exhibitionists has Sugar Cane Stalks and the Exhibitionists has Surfboards:
	say "The Exhibitionists each take a sugar cane stalk and surfboard. They turn towards each other and start fighting using these 'weapons'. They continue fighting all the way out the front door, dropping something on the floor (from whence you'd rather not know!)";
	move Cat House Matchbook to the location of the player;
	remove the Exhibitionists from play;
	increase the current score of the player by 10.

[ Act II, Scene 5 ]

Act II Scene 5 is a scene. Act II Scene 5 begins when Act II Scene 4 ends. Act II Scene 5 ends when the player has the Bag of Money.

When Act II Scene 5 begins:
	move Emcee to Cafe du Nord;
	move Morgan Alford to Morgan Alford's Law Office.

 Instead of talking when the noun is Morgan Alford and Act II Scene 5 is happening:
	say "Chung He says 'I've been wronged. Stanley Fairborn killed my husband and sent me to a whore house to misdirect me.'";
	say "Morgan Alford looks around like he's distracted. He finally looks at Chung He and says 'Oh! Well, if you can get me $300 with $50 up front, I'll get him in jail!'";
	say "Chung He smiles and says 'That's excellent news! I'll get right on it.'";
	say "Morgan Alford gives you [Lawyer Contract].";
	move Lawyer Contract to location of the player;
	silently try taking Lawyer Contract.

 Instead of talking when the noun is Mr Linendot and Act II Scene 5 is not happening:
	say "Mr Linendot says 'Hi, kids! Coming soon is the Pepso challenge. MMMMM refreshing Pepso. The only cola made with real pepsin!'".

 Instead of talking when the noun is Mr Linendot and Act II Scene 5 is happening:
	say "Mr Linendot says 'Hi, kids! It's time for the Pepso challenge. MMMMM refreshing Pepso. The only cola made with real pepsin!'";
	say "Mr Linendot shoves a can of Pepso into your hand.";
	move Can of Pepso to location of the player;
	silently try taking Can of Pepso.

Instead of drinking Can of Pepso during Act II Scene 5:
	now Can of Pepso is nowhere;
	say "You chug the can of 'delicious' Pepso. After a few brief moments, your insides feel like they're on fire. You immediately retch all over the ground. You think you might have lost that battle.";
	say "Mr Linendot smiles and says 'Congratulations! You win [Card for a Lifetime Supply of Original Pepso].'";
	move Card for a Lifetime Supply of Original Pepso to location of the player;
	silently try taking Card for a Lifetime Supply of Original Pepso;
	increase the current score of the player by 10.

 Instead of talking when the noun is Emcee and the player has Lawyer Contract:
	if the noun does not have Bottle of Alcohol or the noun does not have Agreement for Smashing Pumpkins Performance,
		say "Emcee says 'I'll do your event. However, you need to bring me some alcohol and some entertainment.'";
	otherwise:
		say "Emcee says 'I still need both alcohol and some entertainment.'".

 Instead of talking when the noun is Billy Corgan and Act II Scene 5 is happening and the player has Lawyer Contract:
	say "Billy Corgan says 'Sure, I'll play your fundraiser.'";
	say "You're given [Agreement for Smashing Pumpkins Performance]!";
	move Agreement for Smashing Pumpkins Performance to location of player;
	silently try taking Agreement for Smashing Pumpkins Performance.

 Instead of talking when the noun is Wayfare Tavern Barkeep and Act II Scene 5 is happening and the player has Lawyer Contract:
	say "The Wayfare Tavern Barkeep says 'Sure, I'll give you some booze if it means getting rid of those pesky Fairborns.'";
	say "You're given [Bottle of Alcohol]!";
	move Bottle of Alcohol to location of player;
	silently try taking Bottle of Alcohol.

After giving something to Emcee when the Emcee has Bottle of Alcohol and the Emcee has Agreement for Smashing Pumpkins Performance:
	say "Emcee says 'Perfect! Here's [Fundraiser Event Contract]!'";
	move Fundraiser Event Contract to the location of the player;
	silently try taking Fundraiser Event Contract;
	move Billy Corgan to location of player;
	say "Billy Corgan and the rest of the Smashing Pumpkins line-up enter the room and start playing all their songs. People are dancing and having a great time. After some time, people start thoroughly enjoying themselves.";
	say "Eventually, as the night goes on, enough money is raised. Emcee presents you with [Bag of Money]";
	move Bag of Money to location of player;
	silently try taking Bag of Money.

[ Act III ]

Act III is a scene. Act III begins when Act II Scene 5 ends. Act III ends after opening when the noun is the Verdict.

When Act III begins:
	move Morgan Alford to Courtroom;
	move Chung He to Courtroom;
	move the player to Courtroom.

 Instead of talking when noun is Morgan Alford and Act III is happening:
	say "Morgan Alford stands up and approaches Stanley Fairborn. He tries his best to have a menacing face and says 'Lewis Fairborn! Did you or did you not direct this vulnerable widow to the Cat House near Lombard Street?'";
	say "Stanley Fairborn sighs and says 'For the last time, I'm Stanley. My BROTHER is Lewis.'";
	say "Morgan Alford frowns deeper and says 'Quit stalling and just answer the question.'";
	say "Stanley Fairborn blurts out 'I thought she was talking about Ho's and not her Ho. It's just a misunderstandering.'";
	say "Morgan Alford says 'What you're saying is you're covering up your crime?'";
	say "Stanley Fairborn says 'What crime?'";
	say "Morgan Alford says 'The murder of one Chung Ho! Blaming it on the innocent Possum Crotch is a lie.'";
	say "Stanley Fairborn exclaims 'We all know it was that dern Possum Crotch. He's so evil.'";
	say "Morgan Alford shouts at the top of his lungs 'YOU KILLED HIM. YOU KILLED CHUNG HO AND YOU WILL NOT CONFESS! THIS TRIAL WILL PROVE YOUR GUILT. THE DEFENSE RESTS!'";
	say "Judge quickly looks at Morgan Alford and says 'Aren't you the prosecutor?'";
	say "Hours later, the jury returns and hands you the verdict.";
	move the Verdict to location of player;
	silently try taking the Verdict.

[ Epilogue ]

Epilogue is a scene. Epilogue begins when Act III ends.

When Epilogue begins:
	move Morgan Alford's Girlfriend to the location of the player;
	say "Morgan Alford's girlfriend enters the courtroom and walks up to Morgan Alford. She smiles and says 'I can't believe the verdict of the trial.'";
	say "Morgan Alford swings his girlfriend low and says 'Gimme some sugar, baby!'";
	end the story.


test wt with "speak with narrator / go s / go w / get canoe / go e / go n / give canoe to ho / go n / go w / go w / go n / slap barkeep / give whiskey to amelia / go s / go e / go s / speak with barkeep / say hi to darcon / go s / say greetings to wallaby fits / go sw / say hi to ho / go n"
